using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using System.ComponentModel;

namespace digioz
{
    public class ForumPost
    {
        private int ciPostID;
        private int ciTopicID;
        private int ciForumID;
        private int ciPosterID;
        private string csPosterName;
        private string csPosterIP;
        private DateTime cdPostTime;
        private string csPostSubject;
        private string csPostText;
        private int ciPostAttachment;
        private string csProfileAvatar;
        private string csProfileSignature;

	    public ForumPost()
	    {}

        public int PostID
        {
            get { return ciPostID; }
            set { ciPostID = value; }
        }

        public int TopicID
        {
            get { return ciTopicID; }
            set { ciTopicID = value; }
        }

        public int ForumID
        {
            get { return ciForumID; }
            set { ciForumID = value; }
        }

        public int PosterID
        {
            get { return ciPosterID; }
            set { ciPosterID = value; }
        }

        public string PosterName
        {
            get { return csPosterName; }
            set { csPosterName = value; }
        }

        public string PosterIP
        {
            get { return csPosterIP; }
            set { csPosterIP = value; }
        }

        public DateTime PostTime
        {
            get { return cdPostTime; }
            set { cdPostTime = value; }
        }

        public string PostSubject
        {
            get { return csPostSubject; }
            set { csPostSubject = value; }
        }

        public string PostText
        {
            get { return csPostText; }
            set { csPostText = value; }
        }

        public int PostAttachment
        {
            get { return ciPostAttachment; }
            set { ciPostAttachment = value; }
        }

        // Join Properties

        public string ProfileAvatar
        {
            get { return csProfileAvatar; }
            set { csProfileAvatar = value; }
        }

        public string ProfileSignature
        {
            get { return csProfileSignature; }
            set { csProfileSignature = value; }
        }
    }

    public class ForumPostList : BindingList<ForumPost>
    {
        public ForumPostList()
        { }
    }
}
